[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r943 - in glibc-package/trunk/debian: . patches



Author: gotom
Date: 2005-07-14 15:28:23 +0000 (Thu, 14 Jul 2005)
New Revision: 943

Added:
   glibc-package/trunk/debian/patches/glibc235-gcc4-wcstol_l.dpatch
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/patches/00list
Log:
      - debian/patches/glibc235-gcc4-wcstol_l.dpatch: Added to compile with
        gcc-4.0 for fixing 64bit architecture compilation breakage.


Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2005-07-14 15:26:04 UTC (rev 942)
+++ glibc-package/trunk/debian/changelog	2005-07-14 15:28:23 UTC (rev 943)
@@ -40,6 +40,8 @@
         definitions.
       - debian/patches/glibc235-gcc4-jis0208.dpatch: Added to compile with
         gcc-4.0 pulled from proposed fix in libc-hacker.
+      - debian/patches/glibc235-gcc4-wcstol_l.dpatch: Added to compile with
+        gcc-4.0 for fixing 64bit architecture compilation breakage.
 
     * Move /etc/locale.alias to /usr/share/locale/locale.alias.
       Don't install locale.alias.5.  (Closes: #144670, #185991, #298784)

Modified: glibc-package/trunk/debian/patches/00list
===================================================================
--- glibc-package/trunk/debian/patches/00list	2005-07-14 15:26:04 UTC (rev 942)
+++ glibc-package/trunk/debian/patches/00list	2005-07-14 15:28:23 UTC (rev 943)
@@ -62,3 +62,4 @@
 glibc235-gcc4-cvs
 glibc235-gcc4-elf
 glibc235-gcc4-jis0208
+glibc235-gcc4-wcstol_l

Added: glibc-package/trunk/debian/patches/glibc235-gcc4-wcstol_l.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/glibc235-gcc4-wcstol_l.dpatch	2005-07-14 15:26:04 UTC (rev 942)
+++ glibc-package/trunk/debian/patches/glibc235-gcc4-wcstol_l.dpatch	2005-07-14 15:28:23 UTC (rev 943)
@@ -0,0 +1,65 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Make glibc-2.3.5 compile with gcc-4.0 on 64bit archs.
+# DP: Related bugs: 
+# DP: Dpatch author: GOTO Masanori <gotom@debian.org>
+# DP: Patch author: Jakub Jelinek <jakub@redhat.com>
+# DP: Upstream status: Debian-Specific
+# DP: Status Details: 
+# DP: Date: 2005-07-14
+
+PATCHLEVEL=1
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+https://www.redhat.com/archives/fedora-cvs-commits/2005-March/msg00408.html
+
+	* sysdeps/wordsize-64/strtol_l.c: Don't add aliases if UNSIGNED.
+	* sysdeps/wordsize-64/wcstol_l.c: Likewise.
+
+===================================================================
+RCS file: /cvs/glibc/libc/sysdeps/wordsize-64/strtol_l.c,v
+retrieving revision 1.4
+retrieving revision 1.4.2.1
+diff -u -r1.4 -r1.4.2.1
+--- libc/sysdeps/wordsize-64/strtol_l.c	2003/03/03 09:45:12	1.4
++++ libc/sysdeps/wordsize-64/strtol_l.c	2005/03/25 11:59:01	1.4.2.1
+@@ -8,7 +8,9 @@
+ #undef ____strtoll_l_internal
+ #undef __strtoll_l
+ #undef strtoll_l
++#if !UNSIGNED
+ strong_alias (____strtol_l_internal, ____strtoll_l_internal)
+ libc_hidden_ver (____strtol_l_internal, ____strtoll_l_internal)
+ weak_alias (__strtol_l, __strtoll_l)
+ weak_alias (__strtol_l, strtoll_l)
++#endif
+===================================================================
+RCS file: /cvs/glibc/libc/sysdeps/wordsize-64/wcstol_l.c,v
+retrieving revision 1.4
+retrieving revision 1.4.2.1
+diff -u -r1.4 -r1.4.2.1
+--- libc/sysdeps/wordsize-64/wcstol_l.c	2002/08/08 11:44:51	1.4
++++ libc/sysdeps/wordsize-64/wcstol_l.c	2005/03/25 11:59:01	1.4.2.1
+@@ -8,6 +8,8 @@
+ #undef ____wcstoll_l_internal
+ #undef __wcstoll_l
+ #undef wcstoll_l
++#if !UNSIGNED
+ strong_alias (____wcstol_l_internal, ____wcstoll_l_internal)
+ weak_alias (__wcstol_l, __wcstoll_l)
+ weak_alias (__wcstol_l, wcstoll_l)
++#endif



Reply to: